about summary refs log tree commit diff
path: root/debian/tests
diff options
context:
space:
mode:
authorDan Streetman <ddstreet@canonical.com>2019-12-04 16:02:12 -0500
committerDan Streetman <ddstreet@canonical.com>2019-12-06 09:26:48 -0500
commit781931826715b2a59397b4b728208ea7dcaa6991 (patch)
tree66fce8a9df8ce8721aa12d993a813fd0da064002 /debian/tests
parent6ed722e16a508b985f840eb876e5f4b27eb0d148 (diff)
LP: #1855183
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control4
-rwxr-xr-xdebian/tests/killswitches-no-urfkill5
-rw-r--r--debian/tests/urfkill-integration5
3 files changed, 12 insertions, 2 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 53184f90..dfcc44ef 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -7,9 +7,9 @@ Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager,
 Restrictions: needs-root isolation-machine skippable
 
 Tests: killswitches-no-urfkill
-Depends: network-manager, build-essential, linux-headers-generic, rfkill
+Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill
 Restrictions: needs-root allow-stderr isolation-machine skippable
 
 Tests: urfkill-integration
-Depends: network-manager, build-essential, linux-headers-generic, rfkill, urfkill
+Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill, urfkill
 Restrictions: needs-root allow-stderr isolation-machine skippable
diff --git a/debian/tests/killswitches-no-urfkill b/debian/tests/killswitches-no-urfkill
index cb01eb53..d6ef3a38 100755
--- a/debian/tests/killswitches-no-urfkill
+++ b/debian/tests/killswitches-no-urfkill
@@ -5,6 +5,11 @@ if dpkg --print-architecture | grep s390; then
     exit 77
 fi
 
+if dpkg --print-architecture | grep i386; then
+    echo "Skipping rfkill tests on i386 (LP: #1855183)"
+    exit 77
+fi
+
 set -e
 
 make -f debian/tests/Makefile fake-rfkill
diff --git a/debian/tests/urfkill-integration b/debian/tests/urfkill-integration
index 034bdecc..11499db9 100644
--- a/debian/tests/urfkill-integration
+++ b/debian/tests/urfkill-integration
@@ -5,6 +5,11 @@ if dpkg --print-architecture | grep s390; then
     exit 77
 fi
 
+if dpkg --print-architecture | grep i386; then
+    echo "Skipping rfkill tests on i386 (LP: #1855183)"
+    exit 77
+fi
+
 set -e
 
 echo "+++ Building / adding fake-rfkill.ko"